Fri Oct 22 11:15:01 CEST 2004  Norbert@...160...
  * layering errorbars behind the plot

diff -rN -u matplotlib-old/lib/matplotlib/axes.py matplotlib-new/lib/matplotlib/axes.py
--- matplotlib-old/lib/matplotlib/axes.py	2004-10-22 11:22:32.000000000 +0200
+++ matplotlib-new/lib/matplotlib/axes.py	2004-10-22 11:16:18.000000000 +0200
@@ -1042,20 +1042,9 @@
             if not iterable(yerr): yerr = asarray([yerr])
             else: yerr = asarray(yerr)
 
-
-        if fmt is not None:
-            l0, = self.plot(x,y,fmt)
-        else: l0 = None
         caplines = []
         barlines = []
 
-        if ecolor is None and l0 is None:
-            ecolor = rcParams['lines.color']
-        elif ecolor is None:
-            ecolor = l0.get_color()
-            
-        capargs = {'c':ecolor, 'mfc':ecolor, 'mec':ecolor, 'ms':2*capsize}
-
         if xerr is not None:
             if len(xerr.shape) == 1:
                 left  = x-xerr
@@ -1066,8 +1055,8 @@
 
             barlines.extend( self.hlines(y, x, left) )
             barlines.extend( self.hlines(y, x, right) )            
-            caplines.extend(self.plot(left, y, '|', **capargs))
-            caplines.extend(self.plot(right, y, '|', **capargs))            
+            caplines.extend(self.plot(left, y, '|', ms=2*capsize))
+            caplines.extend(self.plot(right, y, '|', ms=2*capsize))            
 
         if yerr is not None:
             if len(yerr.shape) == 1:
@@ -1080,11 +1069,24 @@
             barlines.extend( self.vlines(x, y, upper ) )
             barlines.extend( self.vlines(x, y, lower ) )            
 
-            caplines.extend(self.plot(x, lower, '_', **capargs))
-            caplines.extend(self.plot(x, upper, '_', **capargs))            
+            caplines.extend(self.plot(x, lower, '_', ms=2*capsize))
+            caplines.extend(self.plot(x, upper, '_', ms=2*capsize))            
+
+        if fmt is not None:
+            l0, = self.plot(x,y,fmt)
+        else: l0 = None
+
+        if ecolor is None and l0 is None:
+            ecolor = rcParams['lines.color']
+        elif ecolor is None:
+            ecolor = l0.get_color()
 
         for l in barlines:
             l.set_color(ecolor)
+        for l in caplines:
+            l.set_color(ecolor)
+            l.set_markerfacecolor(ecolor)
+            l.set_markeredgecolor(ecolor)
 
         self.autoscale_view()
 
